
;Symbols 
{
symbol varA = b0
symbol varB = b1
symbol varC = b2
symbol varD = b3
symbol varE = b4
symbol varF = b5
symbol varG = b6
symbol varH = b7
symbol varI = b14
symbol varJ = b15
symbol varK = b16
symbol varL = b17
symbol varM = b18
symbol varN = b19
symbol varO = b20
symbol varP = b21
symbol varQ = b22
symbol varR = b23
symbol varS = b24
symbol varT = b25
symbol timer = time
}


let dirsC = %00010111


main:
		disconnect		'Disconnect serin pin 

label_164:	gosub prc_AVANCER	'Do Procedure 
		if pinC.3 = 1 then label_168	'Decision command
		if pinC.5 = 1 then label_169	'Decision command
		goto label_164

label_169:	gosub prc_RECULER	'Do Procedure 
		pause 200	'Wait command
		gosub prc_DROITE	'Do Procedure 
label_174:	pause 200	'Wait command
		goto label_164

prc_DROITE:
		let pins = 6	' %00000110
		return		'Return 

prc_RECULER:
		let pins = 18	' %00010010
		return		'Return 

label_168:	gosub prc_RECULER	'Do Procedure 
		pause 200	'Wait command
		gosub prc_GAUCHE	'Do Procedure 
		goto label_174

prc_GAUCHE:
		let pins = 17	' %00010001
		return		'Return 

prc_AVANCER:
		let pins = 5	' %00000101
		return		'Return 



